Bug 462669 - tzdata updates needed for upcoming DST in Brazil
tzdata updates needed for upcoming DST in Brazil
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-17 23:14 EDT by Alexandre Oliva
Modified: 2015-05-04 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 07:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2008-09-17 23:14:42 EDT
tzdata-2008f already contains rules that cover the changes for this year and next, announced on Sept 8th.  Much of Brazil goes into DST on Oct 19, not on Oct 12 as tzdata up to 2008e established.

There's a possibility of further changes to the rules in tzdata > 2008f, to cover the rules that are (finally) established in advance for future years, but it would be nice to have something our users and customers could update to to schedule tasks correctly on the week Oct 12-18.

Version-Release number of selected component (if applicable):
tzdata-2008e-2
  
Actual results:
$ TZ=America/Sao_Paulo date -d 'Oct 19, 2008 1:00 1 second ago'
Sun Oct 19 00:59:59 BRST 2008

Expected results:
$ TZ=America/Sao_Paulo date -d 'Oct 19, 2008 1:00 1 second ago'
Sat Oct 18 23:59:59 BRT 2008

Additional info:
$ TZ=America/Sao_Paulo date -d 'Feb 14, 2009 23:59:59 1 second'
Sat Feb 14 23:00:00 BRT 2009
Comment 1 Petr Machata 2008-09-18 10:10:06 EDT
2008f is a pending update in Fedora Update System.
Comment 2 Petr Machata 2008-09-22 07:34:36 EDT
tzdata-2008f-1_fc10 has been built.

Note You need to log in before you can comment on or make changes to this bug.